# Remove-RASCertificate.md

## NAME

Remove-RASCertificate

## SYNOPSIS

Removes a Certificate.

## SYNTAX

**Remove-RASCertificate** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASCertificate \[-[InputObject](#inputobject)] *(*[*Certificate*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASCertificate** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a Certificate by Name/ID.

## PARAMETERS

## Name (string)

The name of a Certificate to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the Certificate.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Certificate to remove from the site.

To obtain the ID, use the Get-RASCertificate cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md))

The Certificate to remove from a site.

To obtain a Certificate object representing a Certificate, use the Get-RASCertificate command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASCertificate -Name "Cert"

Removes the Certificate with name "Cert" from the Licensing Site.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASCertificate -ID 1

Removes the Certificate with ID 1.\
\*\*---------- EXAMPLE 3 ----------

Remove-RASCertificate -InputObject $certificate

Removes the Certificate by the input object ($certificate).

## RELATED LINKS

* [Get-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascertificate.md)
* [New-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascertificate.md)
* [Set-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascertificate.md)
* [Invoke-RASExportCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportcertificate.md)
* [Invoke-RASCertificateCmd](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rascertificatecmd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascertificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
